/**
  *  \file client/dialogs/searchdlg.h
  *  \brief Search Dialog
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DIALOGS_SEARCHDLG_H
#define PCC_V2_CLIENT_DIALOGS_SEARCHDLG_H

#include "client/search.h"
#include "client/screens.h"

class GObject;
class GObjectList;

extern TUserSearchQuery search_query;
extern const struct ModuleInitializer mod_searchdlg[];

WScreenId doSearch(bool immediate, GObject* current_obj);
void doSearch(GObjectList& list);

#endif
